gentoo-overlay/dev-lang/flutter/files/flutter-3.16.9-disable-autoupdate.patch

39 lines
1.8 KiB
Diff

diff --git c/bin/internal/shared.sh i/bin/internal/shared.sh
index be9320210e..6d75d6f072 100644
--- c/bin/internal/shared.sh
+++ i/bin/internal/shared.sh
@@ -198,15 +198,0 @@
- # Test if Git is available on the Host
- if ! hash git 2>/dev/null; then
- >&2 echo "Error: Unable to find git in your PATH."
- exit 1
- fi
- # Test if the flutter directory is a git clone (otherwise git rev-parse HEAD
- # would fail)
- if [[ ! -e "$FLUTTER_ROOT/.git" ]]; then
- >&2 echo "Error: The Flutter directory is not a clone of the GitHub project."
- >&2 echo " The flutter tool requires Git in order to operate properly;"
- >&2 echo " to install Flutter, see the instructions at:"
- >&2 echo " https://flutter.dev/get-started"
- exit 1
- fi
-
@@ -215,1 +215,0 @@
- upgrade_flutter 7< "$SHARED_NAME"
diff --git c/packages/flutter_tools/lib/src/runner/flutter_command_runner.dart i/packages/flutter_tools/lib/src/runner/flutter_command_runner.dart
index 550a75bc65..c98a4591cc 100644
--- c/packages/flutter_tools/lib/src/runner/flutter_command_runner.dart
+++ i/packages/flutter_tools/lib/src/runner/flutter_command_runner.dart
@@ -247,1 +247,0 @@
- globals.flutterVersion.ensureVersionFile();
@@ -253,10 +252,6 @@ class FlutterCommandRunner extends CommandRunner<void> {
final bool versionCheckFlag = topLevelResults['version-check'] as bool;
final bool explicitVersionCheckPassed = topLevelResults.wasParsed('version-check') && versionCheckFlag;
- if (topLevelResults.command?.name != 'upgrade' &&
- (explicitVersionCheckPassed || (versionCheckFlag && !isMachine))) {
- await globals.flutterVersion.checkFlutterVersionFreshness();
- }
// See if the user specified a specific device.
globals.deviceManager.specifiedDeviceId = topLevelResults['device-id'] as String;